org.eclipse.aether.version

## Class VersionRange.Bound

- java.lang.Object
- - org.eclipse.aether.version.VersionRange.Bound

- Enclosing interface:
    VersionRange

      public static final class VersionRange.Bound
      extends Object

  A bound of a version range.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionRange.Bound(Version version, boolean inclusive)` Creates a new bound with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Version` | `getVersion()` Gets the bounding version.
    `int` | `hashCode()`
    `boolean` | `isInclusive()` Indicates whether the bounding version is included in the range or not.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionRange.Bound

          public VersionRange.Bound(Version version,
                            boolean inclusive)

      Creates a new bound with the specified properties.
      Parameters:
        `version` - The bounding version, must not be `null`.
        `inclusive` - A flag whether the specified version is included in the range or not.

  - ### Method Detail

    - #### getVersion

          public Version getVersion()

      Gets the bounding version.
      Returns:
        The bounding version, never `null`.

    - #### isInclusive

          public boolean isInclusive()

      Indicates whether the bounding version is included in the range or not.
      Returns:
        `true` if the bounding version is included in the range, `false` if not.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.